Subject: Re: bug#16090: 24.3.50; [PATCH] error when jumping to a doc-view bookmark

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Dec 2013 21:51:48 -0500

> The reason is that the buffer is not yet displayed, when
> doc-view-bookmark-jump tries to change the page.  This results in, for
> obscure reasons, trying to change the page in which ever window is
> currently selected.  Solution: Defer changing the page after
> bookmark--jump-via has displayed the page.

Thanks for the report.  And thanks for the patch, tho it shouldn't be
installed as is: using a timer is not a good solution.  The code is
already equipped to handle non-displayed buffers (it keeps track of the
"default current page" which is later used when/if the buffer gets
displayed in a window).
Apparently, there's a bug in that code, or a bad interaction with that
code and something that happens when you use a bookmark to access
the document.

        Stefan